---
title: 'Roadmap'
sidebar_position: 8
---


# How Do You Eat an Elephant?

> *One bite at a time!*

We are a collective of individuals working towards a common goal: creating a digital platform that provides equal opportunities for everyone. Our vision is to grow to millions of participants, each contributing to shape a more equitable digital future.

No single person or organization can achieve this alone - **it requires collaboration and collective effort**.

Just like eating an elephant, we'll accomplish this massive undertaking step by step, one bite at a time, *together*.

## On Our Way to Web4


![alt text](img/roadmap.png)


ThreeFold is on its way to build Web4, the natural evolution of the Internet, where humans and artificial intelligence collaborate to develop a new paradigm aimed at advancing planetary well-being while making sure everyone has equal chances.

To achieve this, ThreeFold is building a self-healing data, network and cloud ecosystem composed of phones, routers and nodes. This platform is a complete and cohesive system providing a viable and efficient alternative to current mainstream clouds. 

ThreeFold has accomplished so much over the years: we are currently in the fourth phase of the grid, making significant progress towards building a viable alternative to mainstream centralized Internet and cloud services.

- We are building a decentralized sovereign alternative to today's centralized Internet model.
- We are making significant progress towards realizing this vision. 

**We present here the currently available features as well as the features that will be available in the near future.**

Currently, the ThreeFold Grid is in more than 50 countries with thousands of nodes online providing data, network and cloud resources to users as a working proof of concept. 

| Status    | System Component |
|-----------|--------------|
| ✓ Completed | ThreeFold Infrastructure Layer for Web 2, 3 and 4 |
| ✓ Completed | ThreeFold Dashboard |
| ✓ Completed | ThreeFold Connect |
| ✓ Completed | ThreeFold Nodes |
| ✓ Completed | ThreeFold Kubernetes, Virtual Machines, Containers, ... |
| ✓ Completed | Quantum Safe Storage and File System |
| ✓ Completed | Mycelium Quantum Safe Network |
| ✓ Completed | Mycelium Web2 Gateway |
| ✓ Completed | Mycelium Message Bus |
| 🔄 Pre-Order Now | Web4 Node  |
| 🔄 Pre-Order Now | Web4 Phone  |
| 🔄 Pre-Order 2025 Q1 | Web4 Router  |
| 🔄 Upcoming | BTC Payment Integration  |
| 🔄 Upcoming | Credit Card Payment Integration |
| 🔄 Upcoming | TFT Bridge to Solana  |


## Technology Roadmap   

Many developers from everywhere over the world are creating the required pieces which allow us to experience the Internet in a very different way.

## End of Q1 2025

- BTC native token as part of Magic Cloud & the ThreeFold Phone
- Zoom Alternative
- Secure Chat
- Secure file storage & sharing platform
- Proof of authenticity
- Chain of trust
